Skip to main content

Variable: SetupRunReply

const SetupRunReply: TObject<{ run: TObject<{ at: TString; changed: TOptional<TBoolean>; checks: TArray<TUnion<[TObject<{ evidence: TOptional<TString>; expected: TOptional<TString>; id: TUnsafe<... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ...>; returned: TOptional<TString>; state: TUnion<[..., ..., ...]>; }>, TObject<{ cause: TUnsafe<... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ...>; evidence: TOptional<TString>; expected: TOptional<TString>; id: TUnsafe<... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ...>; remedies: TArray<TUnsafe<...>>; returned: TOptional<TString>; state: TLiteral<"failed">; }>, TObject<{ cause: TUnsafe<... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ...>; evidence: TOptional<TString>; expected: TOptional<TString>; id: TUnsafe<... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ...>; remedies: TOptional<TArray<...>>; returned: TOptional<TString>; state: TLiteral<"needs_attention">; }>, TObject<{ evidence: TString; expected: TOptional<TString>; id: TUnsafe<... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ... | ...>; returned: TOptional<TString>; state: TLiteral<"waiting">; }>]>>; module: TOptional<TObject<{ library: TOptional<TObject<{ loadMs: TInteger; path: TString; }>>; session: TOptional<TObject<{ slot: TOptional<...>; tokenLabel: TString; }>>; token: TOptional<TObject<{ firmware: TOptional<...>; manufacturer: TString; model: TString; serial: TString; }>>; }>>; partitions: TOptional<TArray<TObject<{ checked: TBoolean; label: TString; slot: TString; }>>>; plan: TBoolean; runId: TString; state: TOptional<TUnsafe<"running" | "ended">>; }>; steps: TArray<TObject<{ checks: TArray<TUnsafe<"provider.reachable" | "provider.capabilities" | "provider.converged" | "provider.root_account" | "organizations.request" | "organizations.applied" | "anchor.declared" | "anchor.framework" | "anchor.applied" | "accounts.declared" | "accounts.applied" | "accounts.invitation" | "module.library" | "module.session" | "module.identification" | "module.test_key" | "identifiers.declared" | "identifiers.agent" | "identifiers.registry" | "identifiers.applied" | "configuration.authority" | "configuration.stored" | "configuration.applied" | "publish.federation" | "publish.identifier" | "root.signed_in">>; completedAt: TOptional<TString>; id: TUnsafe<"anchor" | "identifiers" | "organizations" | "identity-provider" | "accounts" | "key-store" | "configuration">; lastRun: TOptional<TObject<{ at: TString; changed: TOptional<TBoolean>; checks: TArray<TUnion<[..., ..., ..., ...]>>; module: TOptional<TObject<{ library: ...; session: ...; token: ...; }>>; partitions: TOptional<TArray<TObject<...>>>; plan: TBoolean; runId: TString; state: TOptional<TUnsafe<... | ...>>; }>>; newSinceCompletion: TBoolean; sections: TArray<TString>; sinceEngineVersion: TInteger; state: TUnsafe<"failed" | "open" | "passed" | "checking" | "not_reached" | "done">; }>>; }>

Defined in: packages/contracts/src/setup-api.ts:449

POST /setup/api/steps/:id/run reply: the run, and every step's state after it.